Bug 804316 - Suspend fails in Fedora 16 with a particular external disk drive attached (Fedora 14 regression)
Suspend fails in Fedora 16 with a particular external disk drive attached (Fe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 15:15 EDT by Cliff Cooley
Modified: 2013-02-13 10:36 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:36:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suspend log (7.12 KB, text/x-log)
2012-03-17 15:19 EDT, Cliff Cooley
no flags Details
fragment of dmesg log for suspend attempt with kernel 3.6.2-1 (1.49 KB, text/plain)
2012-10-24 07:30 EDT, Cliff Cooley
no flags Details

  None (edit)
Description Cliff Cooley 2012-03-17 15:15:21 EDT
Description of problem
After upgrading to Fedora 16, suspend fails to complete.  On Fedora 14, suspend works on the same hardware configuration which fails on F16.  If I remove a particular one of the external (USB) hard drives, suspend works on Fedora 16.  This external disk drive responds to "hdparm -B" with an error (on both Fedora 14 and 16).

I am reporting this bug primarily because it suggests that some of the suspend issues may be related to changes (from F14 to F16) in how errors are handled when reading disk parameters from older disks.

Version-Release number of selected component (if applicable):
Both the live CD kernel and the latest kernels:
kernel.i686              3.1.0-7.fc16               @koji-override-1/$releasever
kernel.i686              3.2.9-2.fc16               @updates                    


How reproducible:
Every time on Fedora 16 -- even running the Live CD.
Never happened on Fedora 14 after many months of use.

Steps to Reproduce:
1. Attach the offending USB drive  (you do not need to mount anything)
2. pm_suspend
  
Actual results:
The system becomes unresponsive, video mostly blanked,  -- but the num lock key still works.  Only recovery seems to be hard reboot.

Additional info:
The offending disk drive is an older one (Maxtor One Touch II).  None of the drives I am using support APM (based on the output of "hdparm -B") Other external drives I have do not cause this problem.

Results of "hdparm -B" on the offending drive:
"
/dev/sdb:
SG_IO: bad/missing sense data, sb[]:  70 00 05 00 00 00 00 0a 00 00 00 00 20 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
 APM_level      = not supported
"
Comment 1 Cliff Cooley 2012-03-17 15:19:33 EDT
Created attachment 570821 [details]
suspend log
Comment 2 Dave Jones 2012-03-22 12:56:27 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:00:13 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:11:31 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Cliff Cooley 2012-03-22 18:02:57 EDT
Behaviour hasn't changed in kernel-3.3.0-4.fc16.

(However, since I am using this USB disk to host F16 at the moment, I am not in a position to check that pm_suspend still works if the disk is removed, as it does using the LIVE CD)
Comment 6 Josh Boyer 2012-09-17 14:35:44 EDT
Are you still seeing this with the 3.4 or 3.5 kernel updates?
Comment 7 Cliff Cooley 2012-09-21 08:58:38 EDT
(In reply to comment #6)
> Are you still seeing this with the 3.4 or 3.5 kernel updates?

Yes, the problem persists.  I'm using 3.4.9-2.fc16.i686.  

Details from the latest test:  It sounds like the internal disk drive is parked by pm-suspend (like a power down).  But the video remains.  X-Windows is completely un-responsive. If I do pm-suspend from a console (control-alt-F2), the command "pm-suspend" appears to hang.  But the console will respond to control-C, giving a new prompt.   However, any next command will hang (like "ls"), and control-C won't end the second hang.
Comment 8 Dave Jones 2012-10-23 11:41:39 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 9 Cliff Cooley 2012-10-24 07:30:46 EDT
Created attachment 632694 [details]
fragment of dmesg log for suspend attempt with kernel 3.6.2-1
Comment 10 Cliff Cooley 2012-10-24 07:35:42 EDT
On kernel 3.6.2-1.fc16.i686, suspend fails to complete.  However, the behavior of pm-suspend is much improved: now the system still functions normally after a suspend attempt.  See the attached dmesg log suspend3.6.log.  The particular attached external disk drive (associated with the original bug report) is on /dev/sdb.
Comment 11 Fedora End Of Life 2013-01-16 09:32:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 10:36:14 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.